/**
 * InfoAction.java
 * eu.gronos.kostenrechner.view (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import javax.swing.Action;

import eu.gronos.kostenrechner.model.LangBeschriftung;
import eu.gronos.kostenrechner.view.AktionenJMenu;

/**
 * Die Action ruft den Dialog hinter {@link AktionenJMenu#ueberKostenrechner()}
 * auf, der Informationen über das Programm anzeigt. {@link KeyEvent#VK_U}
 *
 * @author Peter Schuster (setrok)
 * @date 11 Nov 2018
 *
 */
public class InfoAction extends BeschriebeneAktion {
	private static final long serialVersionUID = -7370964238649394812L;

	/**
	 * Konstruktor.
	 * 
	 * @param beschriftung eine {@link LangBeschriftung}, der auch
	 *                     ({@link javax.swing.Action#NAME}),
	 *                     ({@link javax.swing.Action#SHORT_DESCRIPTION}),{@link Action#MNEMONIC_KEY},
	 *                     ({@link javax.swing.Action#ACTION_COMMAND_KEY}) entnommen
	 *                     werden.
	 */
	public InfoAction(LangBeschriftung beschriftung) {
		super(beschriftung);
	}
	/*
	 * 
	 * @param name {@link Action#NAME}
	 * 
	 * @param shortDescription {@link Action#SHORT_DESCRIPTION}
	 * 
	 * @param actionCommandKey {@link Action#ACTION_COMMAND_KEY}
	 * 
	 * @param extendedKeyCodeForChar public InfoAction(String name, String, int
	 * mnemonic shortDescription, int mnemonic, String actionCommandKey) {
	 * super(name, shortDescription, mnemonic, actionCommandKey, mnemonic); }
	 * 
	 */

	@Override
	public void actionPerformed(ActionEvent e) {
		AktionenJMenu.ueberKostenrechner();
	}
}