/**
 * SpeichereSkktx.java
 * eu.gronos.kostenrechner.view (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller.files;

import java.awt.event.ActionEvent;

import javax.swing.Action;

import eu.gronos.kostenrechner.controller.BeschriebeneAktion;
import eu.gronos.kostenrechner.model.LangBeschriftung;
import eu.gronos.kostenrechner.model.tenordaten.VerfahrensDatenContainer;
import eu.gronos.kostenrechner.view.BerechnungFileChooser;
import eu.gronos.kostenrechner.view.DateiJMenu;

/**
 * {@link Action}, die über {@link BerechnungFileChooser} die Daten aller
 * Registerkarten für spätere Berechnungen abspeichert
 *
 * @author Peter Schuster (setrok)
 * @date 11 Nov 2018
 *
 */
public class SpeichereSkktxAction extends BeschriebeneAktion {
	private final DateiJMenu menu;
	private static final long serialVersionUID = 8642800626569995070L;

	/**
	 * Konstruktor.
	 * 
	 * @param menu           Verweis auf {@link DateiJMenu}
	 * @param mnemonic       {@link Action#MNEMONIC_KEY}
	 * @param acceleratorKey {@link Action#ACCELERATOR_KEY}
	 */
	public SpeichereSkktxAction(DateiJMenu menu, LangBeschriftung beschriftung) {
		super(beschriftung);
		this.menu = menu;
	}
	// String name, String shortDescription, String actionCommandKey, , int
	// mnemonic,
	// KeyStroke acceleratorKey
	// name, shortDescription, actionCommandKey, , mnemonic, acceleratorKey

	@Override
	public void actionPerformed(ActionEvent ae) {
		final VerfahrensDatenContainer container = new VerfahrensDatenContainer2GUI().leseAlleWertefuerContainer();
		final BerechnungFileChooser db = new BerechnungFileChooser();
		db.speicherXmlDialog(this.menu.getKostenrechner(), container);
	}
}