/**
 * LizenzAkzeptanzHinzufuegen.java
 * eu.gronos.kostenrechner (Kostenrechner)
 */
package eu.gronos.kostenrechner.view.helpanderror;

import java.awt.HeadlessException;

import javax.swing.Action;
import javax.swing.JFrame;

import eu.gronos.kostenrechner.controller.BeschriebeneAktion;
import eu.gronos.kostenrechner.controller.system.GplAnzeigenToggleAction;
import eu.gronos.kostenrechner.model.Beschriftung;
import eu.gronos.kostenrechner.model.LangVorsorgeBeschriftung;
import eu.gronos.kostenrechner.model.NameContainerSammlung;
import eu.gronos.kostenrechner.view.HinzufuegenDialog;

/**
 * Ein {@link HinzufuegenDialog}, der beim ersten Programmstart die Annahme der
 * Lizenzbedingungen abwartet.
 *
 * @author Peter Schuster (setrok)
 * @date 03.12.2014
 *
 */
public class LizenzAkzeptanzDialog extends AkzeptanzDialog {

	private static final long serialVersionUID = -774138389489802048L;
	private final Action gplAnzeigenAktion = new GplAnzeigenToggleAction(
			(LangVorsorgeBeschriftung) NameContainerSammlung.BESCHRIFTUNGEN.get(73055), this);

	/**
	 * Konstruktor: erzeugt eine Instanz der {@link LizenzAkzeptanzDialog}.
	 * 
	 * @param owner ein {@link JFrame}
	 * @throws HeadlessException
	 */
	public LizenzAkzeptanzDialog(JFrame owner) throws HeadlessException {
		this(owner, true);
	}

	/**
	 * Konstruktor: erzeugt eine Instanz der {@link LizenzAkzeptanzDialog}.
	 * 
	 * @param owner            ein {@link JFrame}
	 * @param zustimmungNoetig wenn <code>true</code>, dann wird der OK-Button in
	 *                         "Ja, ich stimme zu!" umbenannt.
	 * @throws HeadlessException
	 */
	public LizenzAkzeptanzDialog(JFrame owner, boolean zustimmungNoetig) throws HeadlessException {
		super(owner, (Beschriftung) NameContainerSammlung.BESCHRIFTUNGEN.get(73000));
		if (zustimmungNoetig) {
			NameContainerSammlung.BESCHRIFTUNGEN.get(73051).applyTo(super.getOkButton());
		}
		super.setOkButtonToBeFocussed(true);
	}

	@Override
	protected void fuelleContentPane() {
		baueTextPane("resources/lizenz.html");
		super.getButtonPane().add(((BeschriebeneAktion) gplAnzeigenAktion).toButton());
	}
}
//private static final String TITLE = "Lizenzvereinbarung";
//TITLE
// AbstractAction ok = super.getOkAction();
// ok.putValue(Action.NAME, "Ja, ich stimme zu!");
// ok.putValue(Action.MNEMONIC_KEY, KeyEvent.VK_J);
// ok.putValue(Action.SHORT_DESCRIPTION, "Den Lizenzbedingungen zustimmen");
// new JButton(